> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create P11D Batch



## OpenAPI

````yaml /api-reference/preview.json post /gb/organizations/{organization_id}/exb/p11ds
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/exb/p11ds:
    post:
      tags:
        - Great Britain
        - Expenses and Benefits
        - Great Britain
        - EXB P11D
      summary: Create P11D Batch
      operationId: create_p11d_batch_gb_organizations__organization_id__exb_p11ds_post
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: tax_year
          in: query
          required: true
          schema:
            type: integer
            description: Tax year start, e.g. 2025 for 2025-26
            title: Tax Year
          description: Tax year start, e.g. 2025 for 2025-26
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/P11DRequestItem'
              title: P11Ds
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/P11DResponse'
                title: >-
                  Response Create P11D Batch Gb Organizations  Organization Id 
                  Exb P11Ds Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    P11DRequestItem:
      properties:
        transferred_assets:
          anyOf:
            - $ref: '#/components/schemas/TransferredSection'
            - type: 'null'
          description: 'Section A: Assets transferred to the employee'
        payments:
          anyOf:
            - $ref: '#/components/schemas/PaymentsSection'
            - type: 'null'
          description: 'Section B: Payments made on behalf of employee'
        vouchers_or_credit_cards:
          anyOf:
            - $ref: '#/components/schemas/VouchersOrCCsSection'
            - type: 'null'
          description: 'Section C: Vouchers and credit cards'
        living_accommodation:
          anyOf:
            - $ref: '#/components/schemas/LivingAccomSection'
            - type: 'null'
          description: 'Section D: Living accommodation'
        mileage_allowance:
          anyOf:
            - $ref: '#/components/schemas/MileageAllowSection'
            - type: 'null'
          description: 'Section E: Mileage allowance payments'
        cars:
          anyOf:
            - $ref: '#/components/schemas/CarsSection'
            - type: 'null'
          description: 'Section F: Cars and car fuel'
        vans:
          anyOf:
            - $ref: '#/components/schemas/VansSection'
            - type: 'null'
          description: 'Section G: Vans and van fuel'
        loans:
          anyOf:
            - $ref: '#/components/schemas/LoansSection'
            - type: 'null'
          description: 'Section H: Interest-free and low-interest loans'
        medical:
          anyOf:
            - $ref: '#/components/schemas/MedicalSection'
            - type: 'null'
          description: 'Section I: Private medical treatment or insurance'
        relocation:
          anyOf:
            - $ref: '#/components/schemas/RelocationSection'
            - type: 'null'
          description: 'Section J: Qualifying relocation expenses'
        services:
          anyOf:
            - $ref: '#/components/schemas/ServicesSection'
            - type: 'null'
          description: 'Section K: Services supplied'
        assets_available:
          anyOf:
            - $ref: '#/components/schemas/AssetsAvailSection'
            - type: 'null'
          description: 'Section L: Assets placed at employee''s disposal'
        other_items:
          anyOf:
            - $ref: '#/components/schemas/OtherSection'
            - type: 'null'
          description: 'Section M: Other items (including expenses)'
        expenses_paid:
          anyOf:
            - $ref: '#/components/schemas/ExpPaidSection'
            - type: 'null'
          description: 'Section N: Expense payments on behalf of employee'
        employee_id:
          anyOf:
            - type: string
            - type: string
              format: uuid
          title: Employee Id
      additionalProperties: false
      type: object
      required:
        - employee_id
      title: P11DRequestItem
    P11DResponse:
      properties:
        id:
          type: string
          title: Id
        employee_id:
          type: string
          title: Employee Id
        tax_year:
          type: integer
          title: Tax Year
      additionalProperties: true
      type: object
      required:
        - id
        - employee_id
        - tax_year
      title: P11DResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransferredSection:
      properties:
        benefit_type:
          type: string
          const: A
          title: Benefit Type
          default: A
        asset:
          items:
            $ref: '#/components/schemas/TransferredAsset'
          type: array
          maxItems: 5
          minItems: 1
          title: Asset
      additionalProperties: false
      type: object
      required:
        - asset
      title: TransferredSection
      description: Section A — Assets transferred to the employee.
    PaymentsSection:
      properties:
        benefit_type:
          type: string
          const: B
          title: Benefit Type
          default: B
        payment:
          items:
            $ref: '#/components/schemas/PaymentItem'
          type: array
          maxItems: 7
          title: Payment
        tax:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              ge: '0'
              le: '9999999.99'
            - type: 'null'
          title: Tax
          description: Tax on payments made on behalf of employee
      additionalProperties: false
      type: object
      title: PaymentsSection
      description: Section B — Payments made on behalf of employee.
    VouchersOrCCsSection:
      properties:
        benefit_type:
          type: string
          const: C
          title: Benefit Type
          default: C
        gross_amount_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Gross Amount Or Amount Forgone
          description: Gross amount or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - gross_amount_or_amount_forgone
        - amount_made_good
        - cash_equivalent_or_relevant_amount
      title: VouchersOrCCsSection
      description: Section C — Vouchers and credit cards.
    LivingAccomSection:
      properties:
        benefit_type:
          type: string
          const: D
          title: Benefit Type
          default: D
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - cash_equivalent_or_relevant_amount
      title: LivingAccomSection
      description: Section D — Living accommodation.
    MileageAllowSection:
      properties:
        benefit_type:
          type: string
          const: E
          title: Benefit Type
          default: E
        taxable_payment:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxable Payment
          description: Taxable mileage allowance payment
      additionalProperties: false
      type: object
      required:
        - taxable_payment
      title: MileageAllowSection
      description: Section E — Mileage allowance payments.
    CarsSection:
      properties:
        benefit_type:
          type: string
          const: F
          title: Benefit Type
          default: F
        car:
          items:
            $ref: >-
              #/components/schemas/hmrc_rti__models__paye_exb_2026__p11d_cars__Car
          type: array
          minItems: 1
          title: Car
        total_car_benefit_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Car Benefit Amount
          description: Total cash equivalent or relevant amount for all cars
        total_fuel_benefit_amount:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              ge: '0'
              le: '9999999.99'
            - type: 'null'
          title: Total Fuel Benefit Amount
          description: Total cash equivalent or relevant amount for all car fuel
      additionalProperties: false
      type: object
      required:
        - car
        - total_car_benefit_amount
      title: CarsSection
      description: Section F — Cars and car fuel.
    VansSection:
      properties:
        benefit_type:
          type: string
          const: G
          title: Benefit Type
          default: G
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount of the van benefit
        fuel_cash_equivalent_or_relevant_amount:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              ge: '0'
              le: '9999999.99'
            - type: 'null'
          title: Fuel Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount of the van fuel benefit
      additionalProperties: false
      type: object
      required:
        - cash_equivalent_or_relevant_amount
      title: VansSection
      description: Section G — Vans and van fuel.
    LoansSection:
      properties:
        benefit_type:
          type: string
          const: H
          title: Benefit Type
          default: H
        loan:
          items:
            $ref: '#/components/schemas/Loan'
          type: array
          minItems: 1
          title: Loan
      additionalProperties: false
      type: object
      required:
        - loan
      title: LoansSection
      description: Section H — Interest-free and low-interest loans.
    MedicalSection:
      properties:
        benefit_type:
          type: string
          const: I
          title: Benefit Type
          default: I
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - cost_or_amount_forgone
        - amount_made_good
        - cash_equivalent_or_relevant_amount
      title: MedicalSection
      description: Section I — Private medical treatment or insurance.
    RelocationSection:
      properties:
        benefit_type:
          type: string
          const: J
          title: Benefit Type
          default: J
        excess_over_threshold:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Excess Over Threshold
          description: Amount exceeding the £8,000 qualifying relocation threshold
      additionalProperties: false
      type: object
      required:
        - excess_over_threshold
      title: RelocationSection
      description: Section J — Qualifying relocation expenses payments and benefits.
    ServicesSection:
      properties:
        benefit_type:
          type: string
          const: K
          title: Benefit Type
          default: K
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - cost_or_amount_forgone
        - amount_made_good
        - cash_equivalent_or_relevant_amount
      title: ServicesSection
      description: Section K — Services supplied.
    AssetsAvailSection:
      properties:
        benefit_type:
          type: string
          const: L
          title: Benefit Type
          default: L
        asset:
          items:
            $ref: '#/components/schemas/AssetsAvailAsset'
          type: array
          maxItems: 7
          minItems: 1
          title: Asset
      additionalProperties: false
      type: object
      required:
        - asset
      title: AssetsAvailSection
      description: Section L — Assets placed at employee's disposal.
    OtherSection:
      properties:
        benefit_type:
          type: string
          const: M
          title: Benefit Type
          default: M
        class_1a_items:
          items:
            $ref: '#/components/schemas/Class1ABenefitItem'
          type: array
          maxItems: 6
          title: Class 1A Items
          description: Class 1A NIC benefit items
        non_class_1a_items:
          items:
            $ref: '#/components/schemas/NonClass1ABenefitItem'
          type: array
          maxItems: 6
          title: Non Class 1A Items
          description: Non-Class 1A benefit items
        tax_paid:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              ge: '0'
              le: '9999999.99'
            - type: 'null'
          title: Tax Paid
          description: Tax paid on other items
      additionalProperties: false
      type: object
      title: OtherSection
      description: Section M — Other items (including expenses).
    ExpPaidSection:
      properties:
        benefit_type:
          type: string
          const: 'N'
          title: Benefit Type
          default: 'N'
        travel_and_subsistence:
          anyOf:
            - $ref: '#/components/schemas/TravAndSubSection'
            - type: 'null'
          description: Travel and subsistence expenses
        entertainment:
          anyOf:
            - $ref: '#/components/schemas/EntSection'
            - type: 'null'
          description: Entertainment expenses
        home_telephone:
          anyOf:
            - $ref: '#/components/schemas/HomeTelSection'
            - type: 'null'
          description: Home telephone expenses
        non_qualifying_relocation:
          anyOf:
            - $ref: '#/components/schemas/NonQualRelSection'
            - type: 'null'
          description: Non-qualifying relocation expenses
        other:
          anyOf:
            - $ref: '#/components/schemas/ExpPaidOtherSection'
            - type: 'null'
          description: Other expenses
      additionalProperties: false
      type: object
      title: ExpPaidSection
      description: Section N — Expense payments made on behalf of employee.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TransferredAsset:
      properties:
        description:
          $ref: '#/components/schemas/AssetDescription'
          description: Asset description category
        other_description:
          anyOf:
            - type: string
              maxLength: 30
              pattern: ^[A-Za-z0-9 ~!\"@#$%&'()*+,\-./:;<=>?\[\\\]^_{}\u00a3\u20ac]*$
            - type: 'null'
          title: Other Description
          description: Free-text description when category is 'other'
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - description
        - cost_or_amount_forgone
        - amount_made_good
        - cash_equivalent_or_relevant_amount
      title: TransferredAsset
      description: Individual transferred asset (Section A).
    PaymentItem:
      properties:
        description:
          $ref: '#/components/schemas/PaymentDescription'
          description: Payment description category
        other_description:
          anyOf:
            - type: string
              maxLength: 30
              pattern: ^[A-Za-z0-9 ~!\"@#$%&'()*+,\-./:;<=>?\[\\\]^_{}\u00a3\u20ac]*$
            - type: 'null'
          title: Other Description
          description: Free-text description when category is 'other'
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - description
        - cash_equivalent_or_relevant_amount
      title: PaymentItem
      description: Individual payment item (Section B).
    hmrc_rti__models__paye_exb_2026__p11d_cars__Car:
      properties:
        make_and_model:
          type: string
          maxLength: 35
          minLength: 1
          pattern: ^[A-Za-z0-9 ()\-./]*$
          title: Make And Model
          description: Car make and model
        date_first_registered:
          type: string
          format: date
          title: Date First Registered
          description: Date car was first registered
        available_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Available From
          description: Date car was made available to employee
        available_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Available To
          description: Date car was withdrawn from employee
        engine_capacity_cc:
          anyOf:
            - type: integer
              maximum: 9999
              minimum: 0
            - type: 'null'
          title: Engine Capacity Cc
          description: Engine capacity in cubic centimetres
        fuel_type:
          anyOf:
            - $ref: '#/components/schemas/FuelType'
            - type: 'null'
          description: Fuel type
        co2_emissions:
          anyOf:
            - type: integer
              maximum: 999
              minimum: 0
            - type: 'null'
          title: Co2 Emissions
          description: CO2 emissions (g/km)
        zero_emission_mileage:
          anyOf:
            - type: integer
              maximum: 9999
              minimum: 0
            - type: 'null'
          title: Zero Emission Mileage
          description: Zero emission mileage (miles)
        no_approved_co2_figure:
          anyOf:
            - $ref: '#/components/schemas/YesType'
            - type: 'null'
          description: No approved CO2 figure available
        list_price:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 1
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: List Price
          description: List price when new
        accessories:
          anyOf:
            - type: number
              maximum: 999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Accessories
          description: Value of accessories provided
        capital_contribution:
          anyOf:
            - type: number
              maximum: 5000
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Capital Contribution
          description: Capital contribution by employee
        private_use_payment:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Private Use Payment
          description: Amount employee paid for private use
        fuel_withdrawn:
          anyOf:
            - $ref: '#/components/schemas/FuelWithdrawnDate'
            - type: 'null'
          description: Date fuel benefit was withdrawn (with optional Reinstated attribute)
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount of the car benefit
        fuel_cash_equivalent_or_relevant_amount:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              ge: '0.01'
              le: '9999999.99'
            - type: 'null'
          title: Fuel Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount of the fuel benefit
      additionalProperties: false
      type: object
      required:
        - make_and_model
        - date_first_registered
        - list_price
        - accessories
        - capital_contribution
        - private_use_payment
        - cash_equivalent_or_relevant_amount
      title: Car
      description: Individual car record within P11D Section F.
    Loan:
      properties:
        joint_borrowers_count:
          type: integer
          maximum: 999
          minimum: 0
          title: Joint Borrowers Count
          description: Number of joint borrowers
        opening_balance:
          anyOf:
            - type: number
              maximum: 99999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Opening Balance
          description: Balance outstanding at start of tax year
        closing_balance:
          anyOf:
            - type: number
              maximum: 99999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Closing Balance
          description: Balance outstanding at end of tax year
        maximum_balance:
          anyOf:
            - type: number
              maximum: 99999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Maximum Balance
          description: Maximum balance outstanding during the tax year
        interest_paid:
          anyOf:
            - type: number
              maximum: 99999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Interest Paid
          description: Interest paid by the employee
        loan_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Loan Date
          description: Date loan was made
        discharge_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Discharge Date
          description: Date loan was discharged
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 99999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - joint_borrowers_count
        - opening_balance
        - closing_balance
        - maximum_balance
        - interest_paid
        - cash_equivalent_or_relevant_amount
      title: Loan
      description: Individual loan record (Section H).
    AssetsAvailAsset:
      properties:
        description:
          $ref: '#/components/schemas/AssetsAvailDescription'
          description: Asset description category
        other_description:
          anyOf:
            - type: string
              maxLength: 30
              pattern: ^[A-Za-z0-9 ~!\"@#$%&'()*+,\-./:;<=>?\[\\\]^_{}\u00a3\u20ac]*$
            - type: 'null'
          title: Other Description
          description: Free-text description when category is 'other'
        annual_value_pro_rata:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Annual Value Pro Rata
          description: Annual value pro-rated for the period of availability
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - description
        - annual_value_pro_rata
        - amount_made_good
        - cash_equivalent_or_relevant_amount
      title: AssetsAvailAsset
      description: Individual asset placed at employee's disposal (Section L).
    Class1ABenefitItem:
      properties:
        description:
          $ref: '#/components/schemas/Class1ADescription'
          description: Benefit description category
        other_description:
          anyOf:
            - type: string
              maxLength: 30
              pattern: ^[A-Za-z0-9 ~!\"@#$%&'()*+,\-./:;<=>?\[\\\]^_{}\u00a3\u20ac]*$
            - type: 'null'
          title: Other Description
          description: Free-text description when category is 'other'
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - description
        - cost_or_amount_forgone
        - amount_made_good
        - cash_equivalent_or_relevant_amount
      title: Class1ABenefitItem
      description: Individual Class 1A item in Other section (Section M).
    NonClass1ABenefitItem:
      properties:
        description:
          $ref: '#/components/schemas/NonClass1ADescription'
          description: Benefit description category
        other_description:
          anyOf:
            - type: string
              maxLength: 30
              pattern: ^[A-Za-z0-9 ~!\"@#$%&'()*+,\-./:;<=>?\[\\\]^_{}\u00a3\u20ac]*$
            - type: 'null'
          title: Other Description
          description: Free-text description when category is 'other'
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        cash_equivalent_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cash Equivalent Or Relevant Amount
          description: Cash equivalent or relevant amount taxable as benefit
      additionalProperties: false
      type: object
      required:
        - description
        - cost_or_amount_forgone
        - amount_made_good
        - cash_equivalent_or_relevant_amount
      title: NonClass1ABenefitItem
      description: Individual Non-Class 1A item in Other section (Section M).
    TravAndSubSection:
      properties:
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        taxable_payment_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxable Payment Or Relevant Amount
          description: Taxable payment or relevant amount
      additionalProperties: false
      type: object
      required:
        - cost_or_amount_forgone
        - amount_made_good
        - taxable_payment_or_relevant_amount
      title: TravAndSubSection
      description: Travel and subsistence expenses.
    EntSection:
      properties:
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        taxable_payment_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxable Payment Or Relevant Amount
          description: Taxable payment or relevant amount
        is_trading_organisation:
          $ref: '#/components/schemas/YesNoType'
          description: Whether the employer is a trading organisation
      additionalProperties: false
      type: object
      required:
        - cost_or_amount_forgone
        - amount_made_good
        - taxable_payment_or_relevant_amount
        - is_trading_organisation
      title: EntSection
      description: |-
        Entertainment expenses with required TradingOrgInd attribute.

        XML: ``<Ent TradingOrgInd="yes">...</Ent>``
    HomeTelSection:
      properties:
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        taxable_payment_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxable Payment Or Relevant Amount
          description: Taxable payment or relevant amount
      additionalProperties: false
      type: object
      required:
        - cost_or_amount_forgone
        - amount_made_good
        - taxable_payment_or_relevant_amount
      title: HomeTelSection
      description: Home telephone expenses.
    NonQualRelSection:
      properties:
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        taxable_payment_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxable Payment Or Relevant Amount
          description: Taxable payment or relevant amount
      additionalProperties: false
      type: object
      required:
        - cost_or_amount_forgone
        - amount_made_good
        - taxable_payment_or_relevant_amount
      title: NonQualRelSection
      description: Non-qualifying relocation expenses.
    ExpPaidOtherSection:
      properties:
        cost_or_amount_forgone:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Cost Or Amount Forgone
          description: Cost to employer or amount of earnings foregone
        amount_made_good:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Made Good
          description: Amount made good or from which tax deducted by the employee
        taxable_payment_or_relevant_amount:
          anyOf:
            - type: number
              maximum: 9999999.99
              minimum: 0
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Taxable Payment Or Relevant Amount
          description: Taxable payment or relevant amount
        description:
          type: string
          maxLength: 30
          pattern: ^[A-Za-z0-9 ~!\"@#$%&'()*+,\-./:;<=>?\[\\\]^_{}\u00a3\u20ac]*$
          title: Description
          description: Expense description
      additionalProperties: false
      type: object
      required:
        - cost_or_amount_forgone
        - amount_made_good
        - taxable_payment_or_relevant_amount
        - description
      title: ExpPaidOtherSection
      description: >-
        Other expenses — has an additional Desc field.


        AIDEV-NOTE: XSD Desc for ExpPaid Other is a plain string (max 30), not
        an enum.
    AssetDescription:
      type: string
      enum:
        - multiple
        - other
        - precious metals
        - property
        - cars
      title: AssetDescription
      description: Asset description categories for Section A (Transferred assets).
    PaymentDescription:
      type: string
      enum:
        - other
        - season tickets
        - private car expenses
        - private education
        - accountancy fees
        - domestic bills
        - multiple
      title: PaymentDescription
      description: Description categories for Section B (Payments).
    FuelType:
      type: string
      enum:
        - F
        - D
        - A
      title: FuelType
      description: Car fuel types for P11D and P46Car.
    YesType:
      type: string
      enum:
        - 'yes'
      title: YesType
      description: Yes type
    FuelWithdrawnDate:
      properties:
        value:
          type: string
          format: date
          title: Value
          description: Date fuel was withdrawn
        reinstated:
          anyOf:
            - $ref: '#/components/schemas/YesType'
            - type: 'null'
          description: Whether fuel benefit was reinstated
      additionalProperties: false
      type: object
      required:
        - value
      title: FuelWithdrawnDate
      description: |-
        Date fuel benefit was withdrawn, with optional Reinstated indicator.

        XML: ``<FuelWithdrawn Reinstated="yes">2025-06-01</FuelWithdrawn>``
    AssetsAvailDescription:
      type: string
      enum:
        - other
        - multiple
        - corporate hospitality
        - boat
        - aircraft
        - timeshare accommodation
        - holiday accommodation
      title: AssetsAvailDescription
      description: Description categories for Section L (Assets available).
    Class1ADescription:
      type: string
      enum:
        - multiple
        - other
        - stop loss charges
        - non-qualifying relocation ben
        - educational assistance CL1A
        - subscriptions and fees
      title: Class1ADescription
      description: Description categories for Section M Class 1A items.
    NonClass1ADescription:
      type: string
      enum:
        - multiple
        - other
        - loans written or waived
        - educational assistance
        - nursery places
        - subs and professional fees
      title: NonClass1ADescription
      description: Description categories for Section M Non-Class 1A items.
    YesNoType:
      type: string
      enum:
        - 'yes'
        - 'no'
      title: YesNoType
      description: Yes/No type for EXB forms.
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````